@import "tailwindcss";
@import url('https://fonts.googleapis.com/css2?family=EB+Garamond:wght@400;500;600;700;800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=EB+Garamond:wght@400;500;600;700;800&family=Hanken+Grotesk:wght@100;200;300;400;500;600;700;800;900&display=swap');

body {
  font-family: 'Inter', sans-serif;
}
.heading-font {
  font-family: 'Inter', sans-serif;
}
:root {
  /* Colors */
  --primary-color: #001E40;
  --secondary-color: #001E40;
  --bg-shadow:  rgb(108 99 255 / 28%);
  --heading-xl: 48px;
  --heading-lg: 36px;
  --heading-md: 24px;
  --heading-sm: 16px;
  --text-lg: 18px;
  --text-md: 16px;
  --text-sm: 14px;
  --fw-light: 300;
  --fw-regular: 400;
  --fw-medium: 500;
  --fw-semibold: 600;
  --fw-bold: 700;
  --fw-extrabold: 800;

  
  /* Fonts */
  --heading-font: 'EB Garamond', serif;
  --body-font: 'Hanken Grotesk', sans-serif;

  /* Shadow */
  --card-shadow: 0 4px 18px rgba(0, 0, 0, 0.06);

  /* Radius */
  --radius-lg: 20px;
  --radius-md: 12px;

  /* Transition */
  --transition: all 0.3s ease;
}
html {
    scroll-behavior: smooth;
}
.logo{
    width: 30%;
}
.bg-blue {
  background-color: var(--primary-color);
}

.shadow-purple {
  box-shadow: 1px 6px 18px 0px var(--bg-shadow);
}
.font-lg {
  font-size: var(--text-lg);
}
.text-purple {
  color: var(--text-purple);
}
.text-dark-purple {
  color: var(--dark-purple);
}
.signup-card {
    height: 450px;
    overflow-y: auto;
}
::-webkit-scrollbar {
  width: 5px;
}

::-webkit-scrollbar-thumb {
  background: var(--light-purple);
  border-radius: 20px;
}
.scrollbar-hide::-webkit-scrollbar {
  display: none;
}

.scrollbar-hide {
  -ms-overflow-style: none;
  scrollbar-width: none;
}
@media (max-width: 767px) {
  .scrollbar-hide-mobile::-webkit-scrollbar {
    display: none;
  }

  .scrollbar-hide-mobile {
    -ms-overflow-style: none;
    scrollbar-width: none;
  }
  .mobile-icon{
    display: none !important;
  }
}
.heading-md {
  font-size: var(--heading-md);
}
.card-shadow {
  box-shadow: var(--card-shadow);
}
.scrollbar-hide::-webkit-scrollbar {
   display: none;
}
.scrollbar-hide {
   -ms-overflow-style: none;
    scrollbar-width: none;
}

 .hero-bg-1,
.hero-bg-2,
.hero-bg-3 {
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.hero-bg-1 {
    background-image: url('../images/bg-image1.png');
}

.hero-bg-2 {
    background-image: url('../images/bg-image2.png');
}

.hero-bg-3 {
    background-image: url('../images/bg-image3.png');
}

        .header-scrolled {
            background: #fff;
            transition: 0.3s;
        }
      
   
.nav-scrolled a {
    color: #001E40 !important;
}


.social-icon {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    background-color: #001E40; 
    color: #fff;
    text-decoration: none;
    font-size: 18px;
    transition: transform 0.2s ease, background-color 0.2s ease;
    border-radius: 3px;
}

.social-icon:hover {
    transform: scale(1.05);
    background-color: #001E40; 
}
.social-icon.scrolled {
    background-color: #001E40 !important; 
    color: #fff !important;            
}